List real estate image edit jobs
curl --request GET \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"status": "queued",
"description": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"processing_time_seconds": 123,
"cost_credits": "<string>",
"project_real_estate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"real_estate_shot": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"style_settings": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"model_name": "hexal_standard_t2v",
"model_config": "<unknown>",
"num_requested_images": 123,
"reference_images": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"name_tag": "<string>",
"external_url": "<string>",
"thumbnail": "<string>",
"file": "<string>"
}
]
}
]
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Jobs
List real estate image edit jobs
Return image edit jobs for one shot, with newest jobs first. These jobs edit the current first frame. Use the detail route to poll one job.
GET
/
api
/
v2
/
real-estate
/
projects
/
{project_id}
/
shots
/
{shot_id}
/
image-edit-jobs
/
List real estate image edit jobs
curl --request GET \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shots/{shot_id}/image-edit-jobs/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"status": "queued",
"description": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"processing_time_seconds": 123,
"cost_credits": "<string>",
"project_real_estate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"real_estate_shot": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "<string>",
"style_settings": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"model_name": "hexal_standard_t2v",
"model_config": "<unknown>",
"num_requested_images": 123,
"reference_images": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"name_tag": "<string>",
"external_url": "<string>",
"thumbnail": "<string>",
"file": "<string>"
}
]
}
]
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Current job status.
queued- Queuedprocessing- Processingexpired- Expiredcancelled- Cancelledcompleted- Completedfailed- Failed
Available options:
cancelled, completed, expired, failed, processing, queued Was this page helpful?